To fully use the capabilities of the platform Logintrade need:

Acceptable web browsers:

Internet Explorer 10 and above, Edge
Google Chrome
Mozilla Firefox
Opera

Other technical requirements:

Internet access available
handling by the browser XMLHttpRequest protocol – ajax
JavaScript enabled
recommended speed Internet connection above 500KB / s
Acrobat Reader installed
installed Java runtime environment - Java SE Runtime Environment 6 Update 24 or newer